curl --request GET \
--url https://toncenter.com/api/v3/messagesimport requests
url = "https://toncenter.com/api/v3/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://toncenter.com/api/v3/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address_book": {},
"messages": [
{
"bounce": true,
"bounced": true,
"created_at": "0",
"created_lt": "0",
"destination": "<string>",
"fwd_fee": "0",
"hash": "<string>",
"hash_norm": "<string>",
"ihr_disabled": true,
"ihr_fee": "0",
"import_fee": "0",
"in_msg_tx_hash": "<string>",
"init_state": {
"body": "<string>",
"decoded": {
"comment": "<string>",
"type": "<string>"
},
"hash": "<string>"
},
"message_content": {
"body": "<string>",
"decoded": {
"comment": "<string>",
"type": "<string>"
},
"hash": "<string>"
},
"opcode": 123,
"out_msg_tx_hash": "<string>",
"source": "<string>",
"value": "0",
"value_extra_currencies": {}
}
],
"metadata": {}
}{
"code": 123,
"error": "<string>"
}Get messages
Get messages by specified filters.
Query Parameters
Message hash. Acceptable in hex, base64 and base64url forms.
Hash of message body.
The source account address. Can be sent in hex, base64 or base64url form. Use value null to get external messages.
The destination account address. Can be sent in hex, base64 or base64url form. Use value null to get log messages.
Opcode of message in hex or signed 32-bit decimal form.
Query messages with created_at >= start_utime.
x >= 0Query messages with created_at >= start_utime.
x >= 0Query messages with created_lt >= start_lt.
x >= 0Query messages with created_lt <= end_lt.
x >= 0Direction of message.
in, out Exclude external messages.
Return only external messages.
Limit number of queried rows. Use with offset to batch read.
1 <= x <= 1000Skip first N rows. Use with limit to batch read.
x >= 0Sort transactions by lt.
asc, desc 
